Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
kHttpStatus Struct Reference
kApi/Io

## Description

HTTP status code.

Inheritance diagram for kHttpStatus:

## Related
#define | kHTTP_STATUS_CONTINUE
| Continue.
#define | kHTTP_STATUS_SWITCHING_PROTOCOLS
| Switching protocols.
#define | kHTTP_STATUS_OK
| OK.
#define | kHTTP_STATUS_CREATED
| Created.
#define | kHTTP_STATUS_ACCEPTED
| Accepted.
#define | kHTTP_STATUS_NON_AUTHORITATIVE
| Non-authoritative information.
#define | kHTTP_STATUS_NO_CONTENT
| No content.
#define | kHTTP_STATUS_RESET_CONTENT
| Reset content.
#define | kHTTP_STATUS_PARTIAL_CONTENT
| Partial content.
#define | kHTTP_STATUS_MULTIPLE_CHOICES
| Multiple choices.
#define | kHTTP_STATUS_MOVED_PERMANENTLY
| Moved permanently.
#define | kHTTP_STATUS_FOUND
| Found.
#define | kHTTP_STATUS_SEE_OTHER
| See other.
#define | kHTTP_STATUS_NOT_MODIFIED
| Not modified.
#define | kHTTP_STATUS_USE_PROXY
| Use proxy.
#define | kHTTP_STATUS_TEMPORARY_REDIRECT
| Temporary redirect.
#define | kHTTP_STATUS_BAD_REQUEST
| Bad request.
#define | kHTTP_STATUS_UNAUTHORIZED
| Unauthorized.
#define | kHTTP_STATUS_PAYMENT_REQUIRED
| Payment required.
#define | kHTTP_STATUS_FORBIDDEN
| Forbidden.
#define | kHTTP_STATUS_NOT_FOUND
| Not found.
#define | kHTTP_STATUS_METHOD_NOT_ALLOWED
| Method not allowed.
#define | kHTTP_STATUS_NOT_ACCEPTABLE
| Not acceptable.
#define | kHTTP_STATUS_PROXY_AUTH_REQUIRED
| Proxy authentication required.
#define | kHTTP_STATUS_REQUEST_TIMEOUT
| Request timeout.
#define | kHTTP_STATUS_CONFLICT
| Conflict.
#define | kHTTP_STATUS_GONE
| Gone.
#define | kHTTP_STATUS_LENGTH_REQUIRED
| Length required.
#define | kHTTP_STATUS_PRECONDITION_FAILED
| Precondition failed.
#define | kHTTP_STATUS_REQUEST_ENTITY_SIZE
| Request entity too large.
#define | kHTTP_STATUS_REQUEST_URI_SIZE
| Request URI size too large.
#define | kHTTP_STATUS_UNSUPPORTED_MEDIA_TYPE
| Unsupported media type.
#define | kHTTP_STATUS_INVALID_RANGE
| Requested range not satisfiable.
#define | kHTTP_STATUS_EXPECTATION_FAILED
| Expectation failed.
#define | kHTTP_STATUS_UPGRADE_REQUIRED
| Upgrade required.
#define | kHTTP_STATUS_INTERNAL_SERVER_ERROR
| Internal server error.
#define | kHTTP_STATUS_NOT_IMPLEMENTED
| Not implemented.
#define | kHTTP_STATUS_BAD_GATEWAY
| Bad gateway.
#define | kHTTP_STATUS_SERVICE_UNAVAILABLE
| Service unavailable.
#define | kHTTP_STATUS_GATEWAY_TIMEOUT
| Gateway timeout.
#define | kHTTP_STATUS_UNSUPPORTED_VERSION
| HTTP version not supported.
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- Io/kHttpServerResponse.h